<ng-template #view let-c="close" let-d="dismiss">

</ng-template>
<div class="row text-left">
  <div class="col-12">
    <div class="content-header">ผู้ขาย</div>
    <!-- <p class="content-sub-header">All table styles are inherited in Bootstrap 4, meaning any nested tables will be
      styled in the same manner as the parent.</p> -->
  </div>
</div>
<!--Basic Table Ends-->

<!--Hoverable Rows Starts-->
<section id="hoverable-rows">
  <div class="row text-left">
    <div class="col-sm-12">
      <div class="card">
        <div class="card-content">

          <div class="card-body">
            <div class="text-right" style="margin-top: -10px; margin-bottom: 55px;">
              <form class="navbar-form navbar-right mt-1" [formGroup]="searchForm" (ngSubmit)="search()">
                <div class="position-relative has-icon-right">
                  <input class="form-control round" formControlName="search" placeholder="Search" type="text">
                  <div class="form-control-position">
                    <i class="ft-search"></i>
                  </div>
                </div>
              </form>
              <!-- <a href="javascript:void(0)" class="btn btn-raised mr-1 btn-round btn-primary"><i class="fa fa-plus"></i>
                เพิ่มทีมงาน</a> -->
            </div>

            <table class="table table-hover">
              <thead>
                <tr>
                  <th style="width: 50px;">#</th>
                  <th style="width: 60px;" class="text-center">ภาพ</th>
                  <th>ชื่อ - สกุล</th>
                  <th>ที่อยู่</th>
                  <th>เบอร์โทรศัพท์</th>
                  <th>สถานะ</th>
                  <th style="width: 200px;" class="text-center">จัดการ</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let t of sallers">
                  <th scope="row">{{t.member_id}}</th>
                  <td style="padding: 2px;"><img style="width: 50px;" src="{{t.picture}}"></td>
                  <td>{{t.name}}</td>
                  <td>{{t.address}}</td>
                  <td>{{t.phone}}</td>
                  <td>
                    <span *ngIf="t.approve == 0" class="badge badge-secondary">รอการอนุมัติ</span>
                    <span *ngIf="t.approve == 1" class="badge badge-success">อนุมัติแล้ว</span>
                  </td>
                  <td>
                    <button href="javascript:void(0)" class="btn btn-raised mr-1 btn-primary btn-sm"
                      (click)="view_profile(t)"><i class="fa fa-eye"></i> ดู</button>
                    <a href="javascript:void(0)" (click)="open(t)" class="btn btn-raised mr-1 btn-sm btn-warning"><i
                        class="fa fa-edit"></i> แก้ไข</a>
                    <a href="javascript:void(0)" (click)="delete_member()"
                      class="btn btn-raised mr-1 btn-sm btn-danger"><i class="fa fa-trash-o"></i> ลบ</a>
                  </td>
                </tr>

              </tbody>
            </table>
            <div class="col-12 justify-content-center">
              <ngb-pagination [collectionSize]="all_page" (pageChange)="change_page($event)" class="justify-content-center"
               [pageSize]='20' [(page)]="page"></ngb-pagination>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Hoverable rows Ends-->